diff --git a/kmail/kmailicalifaceimpl.cpp b/kmail/kmailicalifaceimpl.cpp
index bf0e5b8c3..82084b134 100644
--- a/kmail/kmailicalifaceimpl.cpp
+++ b/kmail/kmailicalifaceimpl.cpp
@@ -260,7 +260,7 @@ bool KMailICalIfaceImpl::updateAttachment( KMMessage& msg,
       KMMessagePart msgPart;
       msgPart.setName( attachmentName );
 
-      const int iSlash = attachmentMimetype.tqfind('/');
+      const int iSlash = attachmentMimetype.find('/');
       const TQCString sType    = attachmentMimetype.left( iSlash   ).latin1();
       const TQCString sSubtype = attachmentMimetype.mid(  iSlash+1 ).latin1();
       msgPart.setTypeStr( sType );
@@ -309,7 +309,7 @@ bool KMailICalIfaceImpl::updateAttachment( KMMessage& msg,
 // Look for the attachment with the right mimetype
 bool KMailICalIfaceImpl::kolabXMLFoundAndDecoded( const KMMessage& msg, const TQString& mimetype, TQString& s )
 {
-  const int iSlash = mimetype.tqfind('/');
+  const int iSlash = mimetype.find('/');
   const TQCString sType    = mimetype.left( iSlash   ).latin1();
   const TQCString sSubtype = mimetype.mid(  iSlash+1 ).latin1();
   DwBodyPart* part = findBodyPartByMimeType( msg, sType, sSubtype, true /* starts with sSubtype, to accept application/x-vnd.kolab.contact.distlist */ );
@@ -325,7 +325,7 @@ bool KMailICalIfaceImpl::kolabXMLFoundAndDecoded( const KMMessage& msg, const TQ
 // Delete an attachment in an existing mail.
 // return value: wrong if attachment could not be deleted
 //
-// This code could be optimized: for now we just tqreplace
+// This code could be optimized: for now we just replace
 // the attachment by an empty dummy attachment since Mimelib
 // does not provide an option for deleting attachments yet.
 bool KMailICalIfaceImpl::deleteAttachment( KMMessage& msg,
@@ -566,7 +566,7 @@ TQMap<TQ_UINT32, TQString> KMailICalIfaceImpl::incidencesKolab( const TQString&
     KMMessage* msg = f->storage()->readTemporaryMsg(i);
 #endif
     if ( msg ) {
-      const int iSlash = mimetype.tqfind('/');
+      const int iSlash = mimetype.find('/');
       const TQCString sType    = mimetype.left( iSlash   ).latin1();
       const TQCString sSubtype = mimetype.mid(  iSlash+1 ).latin1();
       if ( sType.isEmpty() || sSubtype.isEmpty() ) {
@@ -616,7 +616,7 @@ void KMailICalIfaceImpl::slotMessageRetrieved( KMMessage* msg )
   TQ_UINT32 sernum = msg->getMsgSerNum();
 
   // do we have an accumulator for this folder?
-  Accumulator *ac = mAccumulators.tqfind( tqparent->location() );
+  Accumulator *ac = mAccumulators.find( tqparent->location() );
   if( ac ) {
     TQString s;
     if ( !vPartFoundAndDecoded( msg, s ) ) return;
@@ -637,7 +637,7 @@ void KMailICalIfaceImpl::slotMessageRetrieved( KMMessage* msg )
      slotIncidenceAdded( msg->tqparent(), msg->getMsgSerNum() );
   }
 
-  if ( mTheUnGetMes.tqcontains( sernum ) ) {
+  if ( mTheUnGetMes.contains( sernum ) ) {
     mTheUnGetMes.remove( sernum );
     int i = 0;
     KMFolder* folder = 0;
@@ -666,7 +666,7 @@ int KMailICalIfaceImpl::dimapAccounts()
 
 static TQString subresourceLabelForPresentation( const KMFolder * folder )
 {
-    if( KMailICalIfaceImpl::getResourceMap()->tqcontains( folder->location() ) ) {
+    if( KMailICalIfaceImpl::getResourceMap()->contains( folder->location() ) ) {
         return folder->label();
     }
 
@@ -1044,7 +1044,7 @@ TQStringList KMailICalIfaceImpl::listAttachments(const TQString & resource, TQ_U
         TQString name;
         DwMediaType& contentType = part->Headers().ContentType();
         if ( TQString( contentType.SubtypeStr().c_str() ).startsWith( "x-vnd.kolab." )
-           || TQString( contentType.SubtypeStr().c_str() ).tqcontains( "tnef" ) )
+           || TQString( contentType.SubtypeStr().c_str() ).contains( "tnef" ) )
           continue;
         if ( !part->Headers().ContentDisposition().Filename().empty() )
           name = part->Headers().ContentDisposition().Filename().c_str();
@@ -1131,7 +1131,7 @@ void KMailICalIfaceImpl::slotIncidenceAdded( KMFolder* folder,
     mUIDToSerNum.insert( uid, sernum );
 
     // tell the resource if we didn't trigger this ourselves
-    if ( mInTransit.tqcontains( uid ) ) {
+    if ( mInTransit.contains( uid ) ) {
       mInTransit.remove( uid );
     }
     incidenceAdded( type, folder->location(), sernum, format, s );
@@ -1213,7 +1213,7 @@ void KMailICalIfaceImpl::slotRefreshFolder( KMFolder* folder)
   if( mUseResourceIMAP && folder ) {
     if( folder == mCalendar || folder == mContacts
         || folder == mNotes || folder == mTasks
-        || folder == mJournals || mExtraFolders.tqfind( folder->location() ) ) {
+        || folder == mJournals || mExtraFolders.find( folder->location() ) ) {
       // Refresh the folder of this type
       KMail::FolderContentsType ct = folder->storage()->contentsType();
       slotRefresh( s_folderContentsType[ct].contentsTypeStr );
@@ -1257,7 +1257,7 @@ KMFolder* KMailICalIfaceImpl::folderFromType( const TQString& type,
 bool KMailICalIfaceImpl::isResourceFolder( KMFolder* folder ) const
 {
   return mUseResourceIMAP && folder &&
-    ( isStandardResourceFolder( folder ) || mExtraFolders.tqfind( folder->location() )!=0 );
+    ( isStandardResourceFolder( folder ) || mExtraFolders.find( folder->location() )!=0 );
 }
 
 bool KMailICalIfaceImpl::isStandardResourceFolder( KMFolder* folder ) const
@@ -1286,7 +1286,7 @@ KFolderTreeItem::Type KMailICalIfaceImpl::folderType( KMFolder* folder ) const
   if( mUseResourceIMAP && folder ) {
     if( folder == mCalendar || folder == mContacts
         || folder == mNotes || folder == mTasks
-        || folder == mJournals || mExtraFolders.tqfind( folder->location() ) ) {
+        || folder == mJournals || mExtraFolders.find( folder->location() ) ) {
       KMail::FolderContentsType ct = folder->storage()->contentsType();
       return s_folderContentsType[ct].treeItemType;
     }
@@ -1352,7 +1352,7 @@ TQString KMailICalIfaceImpl::folderName( KFolderTreeItem::Type type, int languag
 // Find message matching a given UID
 KMMessage *KMailICalIfaceImpl::findMessageByUID( const TQString& uid, KMFolder* folder )
 {
-  if( !folder || !mUIDToSerNum.tqcontains( uid ) ) return 0;
+  if( !folder || !mUIDToSerNum.contains( uid ) ) return 0;
   int i;
   KMFolder *aFolder;
   KMMsgDict::instance()->getLocation( mUIDToSerNum[uid], &aFolder, &i );
@@ -1387,7 +1387,7 @@ void KMailICalIfaceImpl::deleteMsg( KMMessage *msg )
   // Commands are now delayed; can't use that anymore, we need immediate deletion
   //( new KMDeleteMsgCommand( msg->tqparent(), msg ) )->start();
   KMFolder *srcFolder = msg->tqparent();
-  int idx = srcFolder->tqfind(msg);
+  int idx = srcFolder->find(msg);
   assert(idx != -1);
   // kill existing jobs since we are about to delete the message
   srcFolder->ignoreJobsForMessage( msg );
@@ -1415,7 +1415,7 @@ void KMailICalIfaceImpl::folderContentsTypeChanged( KMFolder* folder,
 
   // Check if already know that 'extra folder'
   const TQString location = folder->location();
-  ExtraFolder* ef = mExtraFolders.tqfind( location );
+  ExtraFolder* ef = mExtraFolders.find( location );
   if ( ef && ef->folder ) {
     // Notify that the old folder resource is no longer available
     subresourceDeleted(folderContentsType( folder->storage()->contentsType() ), location );
@@ -1469,7 +1469,7 @@ KMFolder* KMailICalIfaceImpl::extraFolder( const TQString& type,
   if ( t < 1 || t > 5 )
     return 0;
 
-  ExtraFolder* ef = mExtraFolders.tqfind( folder );
+  ExtraFolder* ef = mExtraFolders.find( folder );
   if ( ef && ef->folder && ef->folder->storage()->contentsType() == t )
     return ef->folder;
 
@@ -1478,7 +1478,7 @@ KMFolder* KMailICalIfaceImpl::extraFolder( const TQString& type,
 
 KMailICalIfaceImpl::StorageFormat KMailICalIfaceImpl::storageFormat( KMFolder* folder ) const
 {
-  FolderInfoMap::ConstIterator it = mFolderInfoMap.tqfind( folder );
+  FolderInfoMap::ConstIterator it = mFolderInfoMap.find( folder );
   if ( it != mFolderInfoMap.end() )
     return (*it).mStorageFormat;
   return globalStorageFormat();
@@ -1486,7 +1486,7 @@ KMailICalIfaceImpl::StorageFormat KMailICalIfaceImpl::storageFormat( KMFolder* f
 
 void KMailICalIfaceImpl::setStorageFormat( KMFolder* folder, StorageFormat format )
 {
-  FolderInfoMap::Iterator it = mFolderInfoMap.tqfind( folder );
+  FolderInfoMap::Iterator it = mFolderInfoMap.find( folder );
   if ( it != mFolderInfoMap.end() ) {
     (*it).mStorageFormat = format;
   } else {
@@ -1500,7 +1500,7 @@ void KMailICalIfaceImpl::setStorageFormat( KMFolder* folder, StorageFormat forma
 
 void KMailICalIfaceImpl::addFolderChange( KMFolder* folder, FolderChanges changes )
 {
-  FolderInfoMap::Iterator it = mFolderInfoMap.tqfind( folder );
+  FolderInfoMap::Iterator it = mFolderInfoMap.find( folder );
   if ( it != mFolderInfoMap.end() ) {
     (*it).mChanges = static_cast<FolderChanges>( (*it).mChanges | changes );
   } else { // Otherwise, well, it's a folder we don't care about.
@@ -1529,7 +1529,7 @@ KMailICalIfaceImpl::FolderInfo KMailICalIfaceImpl::readFolderInfo( const KMFolde
 
 void KMailICalIfaceImpl::folderSynced( KMFolder* folder, const KURL& folderURL )
 {
-  FolderInfoMap::Iterator it = mFolderInfoMap.tqfind( folder );
+  FolderInfoMap::Iterator it = mFolderInfoMap.find( folder );
   if ( it != mFolderInfoMap.end() && (*it).mChanges ) {
     handleFolderSynced( folder, folderURL, (*it).mChanges );
     (*it).mChanges = NoChange;
@@ -1560,7 +1560,7 @@ void KMailICalIfaceImpl::triggerKolabFreeBusy( const KURL& folderURL )
 {
   /* Steffen said: you must issue an authenticated HTTP GET request to
      https://kolabserver/freebusy/trigger/user@domain/Folder/NestedFolder.pfb
-     (tqreplace .pfb with .xpfb for extended fb lists). */
+     (replace .pfb with .xpfb for extended fb lists). */
   KURL httpURL( folderURL );
   // Keep username ("user@domain"), pass, and host from the imap url
   httpURL.setProtocol( "https" );
@@ -1569,7 +1569,7 @@ void KMailICalIfaceImpl::triggerKolabFreeBusy( const KURL& folderURL )
   // IMAP path is either /INBOX/<path> or /user/someone/<path>
   TQString path = folderURL.path( -1 );
   Q_ASSERT( path.startsWith( "/" ) );
-  int secondSlash = path.tqfind( '/', 1 );
+  int secondSlash = path.find( '/', 1 );
   if ( secondSlash == -1 ) {
     kdWarning() << "KCal::ResourceKolab::fromKMailFolderSynced path is too short: " << path << endl;
     return;
@@ -1617,7 +1617,7 @@ void KMailICalIfaceImpl::slotFolderLocationChanged( const TQString &oldLocation,
                                                     const TQString &newLocation )
 {
   KMFolder *folder = findResourceFolder( oldLocation );
-  ExtraFolder* ef = mExtraFolders.tqfind( oldLocation );
+  ExtraFolder* ef = mExtraFolders.find( oldLocation );
   if ( ef ) {
     // reuse the ExtraFolder entry, but adjust the key
     mExtraFolders.setAutoDelete( false );
@@ -1645,7 +1645,7 @@ KMFolder* KMailICalIfaceImpl::findResourceFolder( const TQString& resource )
     return mJournals;
 
   // No luck. Try the extrafolders
-  ExtraFolder* ef = mExtraFolders.tqfind( resource );
+  ExtraFolder* ef = mExtraFolders.find( resource );
   if ( ef )
     return ef->folder;
 
@@ -1713,7 +1713,7 @@ void KMailICalIfaceImpl::readConfig()
     // configure things again.
     kdDebug(5006) << "Groupware folder " << parentName << " not found. Groupware functionality disabled" << endl;
     // Or maybe the inbox simply wasn't created on the first startup
-    KMAccount* account = kmkernel->acctMgr()->tqfind( GlobalSettings::self()->theIMAPResourceAccount() );
+    KMAccount* account = kmkernel->acctMgr()->find( GlobalSettings::self()->theIMAPResourceAccount() );
     Q_ASSERT( account );
     if ( account ) {
       // just in case we were connected already
@@ -1922,8 +1922,8 @@ void KMailICalIfaceImpl::readConfig()
         KMFolderCachedImap *imapFolder = static_cast<KMFolderCachedImap*>( storage );
 
         const TQString attributes = imapFolder->folderAttributes();
-        if ( attributes.tqcontains( "X-FolderClass" ) ) {
-          if ( !attributes.tqcontains( "X-SpecialFolder" ) || (*it)->location().tqcontains( "@" ) ) {
+        if ( attributes.contains( "X-FolderClass" ) ) {
+          if ( !attributes.contains( "X-SpecialFolder" ) || (*it)->location().contains( "@" ) ) {
             const Scalix::FolderAttributeParser parser( attributes );
             if ( !parser.folderClass().isEmpty() ) {
               FolderContentsType type = Scalix::Utils::scalixIdToContentsType( parser.folderClass() );
@@ -1964,7 +1964,7 @@ void KMailICalIfaceImpl::slotCheckDone()
   //kdDebug(5006) << k_funcinfo << " folderParent=" << folderParent << endl;
   if ( folderParent )  // cool it exists now
   {
-    KMAccount* account = kmkernel->acctMgr()->tqfind( GlobalSettings::self()->theIMAPResourceAccount() );
+    KMAccount* account = kmkernel->acctMgr()->find( GlobalSettings::self()->theIMAPResourceAccount() );
     if ( account )
       disconnect( account, TQT_SIGNAL( finishedCheck( bool, ChecktqStatus ) ),
                   this, TQT_SLOT( slotCheckDone() ) );
@@ -1993,7 +1993,7 @@ KMFolder* KMailICalIfaceImpl::initFolder( KMail::FolderContentsType contentsType
         i18n("There are multiple %1 default folders, please choose one:")
         .tqarg( localizedDefaultFolderName( contentsType ) ), labels );
     if ( !selected.isEmpty() )
-      result.folder = result.folders[ labels.tqfindIndex( selected ) ];
+      result.folder = result.folders[ labels.findIndex( selected ) ];
   }
 
   KMFolder* folder = result.folder;
@@ -2051,7 +2051,7 @@ KMFolder* KMailICalIfaceImpl::initScalixFolder( KMail::FolderContentsType conten
       KMFolderCachedImap *imapFolder = static_cast<KMFolderCachedImap*>( storage );
 
       const TQString attributes = imapFolder->folderAttributes();
-      if ( attributes.tqcontains( "X-SpecialFolder" ) ) {
+      if ( attributes.contains( "X-SpecialFolder" ) ) {
         const Scalix::FolderAttributeParser parser( attributes );
         if ( contentsType == Scalix::Utils::scalixIdToContentsType( parser.folderClass() ) ) {
           folder = *it;
diff --git a/kmail/kmcommands.cpp b/kmail/kmcommands.cpp
index 3f83fad61..bdd700bf8 100644
--- a/kmail/kmcommands.cpp
+++ b/kmail/kmcommands.cpp
@@ -229,7 +229,7 @@ void KMCommand::slotStart()
            this, TQT_SLOT( slotPostTransfer( KMCommand::Result ) ) );
   kmkernel->filterMgr()->ref();
 
-  if (mMsgList.tqfind(0) != -1) {
+  if (mMsgList.find(0) != -1) {
       emit messagesTransfered( Failed );
       return;
   }
@@ -316,7 +316,7 @@ void KMCommand::transferSelectedMsgs()
     else
     {
       KMFolder *folder = mb->tqparent();
-      int idx = folder->tqfind(mb);
+      int idx = folder->find(mb);
       if (idx < 0) continue;
       thisMsg = folder->getMsg(idx);
     }
@@ -441,7 +441,7 @@ void KMCommand::slotTransferCancelled()
     if (!folder)
       continue;
     msg->setTransferInProgress(false);
-    int idx = folder->tqfind(msg);
+    int idx = folder->find(msg);
     if (idx > 0) folder->unGetMsg(idx);
   }
   mRetrievedMsgs.clear();
@@ -682,7 +682,7 @@ KMCommand::Result KMEditMsgCommand::execute()
   // edit is discarded, for n > 1.
   KMFolder *tqparent = msg->tqparent();
   if ( tqparent )
-    tqparent->take( tqparent->tqfind( msg ) );
+    tqparent->take( tqparent->find( msg ) );
 
   KMail::Composer * win = KMail::makeComposer();
   msg->setTransferInProgress(false); // From here on on, the composer owns the message.
@@ -774,11 +774,11 @@ static KURL subjectToUrl( const TQString & subject )
   // https://issues.kolab.org/issue3805
   const TQString filter = i18n( "*.mbox|email messages (*.mbox)\n*|all files (*)" );
   TQString cleanSubject = subject.stripWhiteSpace()
-                                  .tqreplace( TQDir::separator(), '_' )
-                                  .tqreplace( ": ", "_" )
-                                  .tqreplace( ':', '_' )
-                                  .tqreplace( '.', '_' )
-                                  .tqreplace( '~', '_' );
+                                  .replace( TQDir::separator(), '_' )
+                                  .replace( ": ", "_" )
+                                  .replace( ':', '_' )
+                                  .replace( '.', '_' )
+                                  .replace( '~', '_' );
   return KFileDialog::getSaveURL( cleanSubject, filter );
 }
 
@@ -945,7 +945,7 @@ void KMSaveMsgCommand::slotMessageRetrievedForSaving(KMMessage *msg)
   ++mMsgListIndex;
   // Get rid of the message.
   if ( msg && msg->tqparent() && msg->getMsgSerNum() &&
-       mUngetMsgs.tqcontains( msg ) ) {
+       mUngetMsgs.contains( msg ) ) {
     int idx = -1;
     KMFolder * p = 0;
     KMMsgDict::instance()->getLocation( msg, &p, &idx );
@@ -1041,7 +1041,7 @@ void KMOpenMsgCommand::slotResult( KIO::Job *job )
   else {
     int startOfMessage = 0;
     if ( mMsgString.compare( 0, 5, "From ", 5 ) == 0 ) {
-      startOfMessage = mMsgString.tqfind( '\n' );
+      startOfMessage = mMsgString.find( '\n' );
       if ( startOfMessage == -1 ) {
         KMessageBox::sorry( parentWidget(),
                             i18n( "The file does not contain a message." ) );
@@ -1060,7 +1060,7 @@ void KMOpenMsgCommand::slotResult( KIO::Job *job )
     }
     // check for multiple messages in the file
     bool multipleMessages = true;
-    int endOfMessage = mMsgString.tqfind( "\nFrom " );
+    int endOfMessage = mMsgString.find( "\nFrom " );
     if ( endOfMessage == -1 ) {
       endOfMessage = mMsgString.length();
       multipleMessages = false;
@@ -1403,7 +1403,7 @@ KMCommand::Result KMForwardDigestCommand::execute()
     dwh.MessageId().CreateDefault();
     msgPartText += TQString( "Content-ID: %1\n" ).tqarg( dwh.MessageId().AsString().c_str() );
     msgPartText += TQString( "Content-Description: %1" ).tqarg( msg->subject() );
-    if ( !msg->subject().tqcontains( "(fwd)" ) )
+    if ( !msg->subject().contains( "(fwd)" ) )
       msgPartText += " (fwd)";
     msgPartText += "\n\n";
     // remove headers that shouldn't be forwarded
@@ -1849,7 +1849,7 @@ void KMMenuCommand::folderToPopupMenu(bool move,
 {
   while ( menu->count() )
   {
-    TQPopupMenu *popup = menu->tqfindItem( menu->idAt( 0 ) )->popup();
+    TQPopupMenu *popup = menu->findItem( menu->idAt( 0 ) )->popup();
     if (popup)
       delete popup;
     else
@@ -1932,7 +1932,7 @@ void KMMenuCommand::makeFolderMenu(KMFolderNode* node, bool move,
       continue;
     KMFolder *child = static_cast<KMFolder*>(it);
     TQString label = child->label();
-    label.tqreplace("&","&&");
+    label.replace("&","&&");
     if (child->child() && child->child()->first()) {
       // descend
       TQPopupMenu *subMenu = new TQPopupMenu(menu, "subMenu");
@@ -1989,7 +1989,7 @@ KMCommand::Result KMCopyCommand::execute()
     {
       msg = static_cast<KMMessage*>(msgBase);
     } else {
-      idx = srcFolder->tqfind(msgBase);
+      idx = srcFolder->find(msgBase);
       assert(idx != -1);
       msg = srcFolder->getMsg(idx);
       // corrupt IMAP cache, see FolderStorage::getMsg()
@@ -2307,7 +2307,7 @@ void KMMoveCommand::slotImapFolderCompleted(KMFolderImap* imapFolder, bool succe
 
 void KMMoveCommand::slotMsgAddedToDestFolder(KMFolder *folder, TQ_UINT32 serNum)
 {
-  if ( folder != mDestFolder || mLostBoys.tqfind( serNum ) == mLostBoys.end() ) {
+  if ( folder != mDestFolder || mLostBoys.find( serNum ) == mLostBoys.end() ) {
     //kdDebug(5006) << "KMMoveCommand::msgAddedToDestFolder different "
     //                 "folder or invalid serial number." << endl;
     return;
@@ -2421,7 +2421,7 @@ KMCommand::Result KMUrlClickedCommand::execute()
     TQString query=mUrl.query();
     while (!query.isEmpty()) {
       TQString queryPart;
-      int secondQuery = query.tqfind('?',1);
+      int secondQuery = query.find('?',1);
       if (secondQuery != -1)
         queryPart = query.left(secondQuery);
       else
@@ -2572,9 +2572,9 @@ void KMSaveAttachmentsCommand::slotSaveAll()
     partNode *node = mAttachmentMap.begin().key();
     // replace all ':' with '_' because ':' isn't allowed on FAT volumes
     TQString s =
-      node->msgPart().fileName().stripWhiteSpace().tqreplace( ':', '_' );
+      node->msgPart().fileName().stripWhiteSpace().replace( ':', '_' );
     if ( s.isEmpty() )
-      s = node->msgPart().name().stripWhiteSpace().tqreplace( ':', '_' );
+      s = node->msgPart().name().stripWhiteSpace().replace( ':', '_' );
     if ( s.isEmpty() )
       s = i18n("filename for an unnamed attachment", "attachment.1");
     url = KFileDialog::getSaveURL( s, TQString(), parentWidget(),
@@ -2598,9 +2598,9 @@ void KMSaveAttachmentsCommand::slotSaveAll()
     if ( !dirUrl.isEmpty() ) {
       curUrl = dirUrl;
       TQString s =
-        it.key()->msgPart().fileName().stripWhiteSpace().tqreplace( ':', '_' );
+        it.key()->msgPart().fileName().stripWhiteSpace().replace( ':', '_' );
       if ( s.isEmpty() )
-        s = it.key()->msgPart().name().stripWhiteSpace().tqreplace( ':', '_' );
+        s = it.key()->msgPart().name().stripWhiteSpace().replace( ':', '_' );
       if ( s.isEmpty() ) {
         ++unnamedAtmCount;
         s = i18n("filename for the %1-th unnamed attachment",
@@ -2619,22 +2619,22 @@ void KMSaveAttachmentsCommand::slotSaveAll()
      TQString origFile = curUrl.fileName();
      TQString file = origFile;
 
-     while ( renameNumbering.tqcontains(file) ) {
+     while ( renameNumbering.contains(file) ) {
        file = origFile;
        int num = renameNumbering[file] + 1;
-       int dotIdx = file.tqfindRev('.');
+       int dotIdx = file.findRev('.');
        file = file.insert( (dotIdx>=0) ? dotIdx : file.length(), TQString("_") + TQString::number(num) );
      }
      curUrl.setFileName(file);
 
      // Increment the counter for both the old and the new filename
-     if ( !renameNumbering.tqcontains(origFile))
+     if ( !renameNumbering.contains(origFile))
          renameNumbering[origFile] = 1;
      else
          renameNumbering[origFile]++;
 
      if ( file != origFile ) {
-        if ( !renameNumbering.tqcontains(file))
+        if ( !renameNumbering.contains(file))
             renameNumbering[file] = 1;
         else
             renameNumbering[file]++;
diff --git a/kmail/kmcomposewin.cpp b/kmail/kmcomposewin.cpp
index 328bbe021..45daa0c36 100644
--- a/kmail/kmcomposewin.cpp
+++ b/kmail/kmcomposewin.cpp
@@ -557,7 +557,7 @@ void KMComposeWin::addAttachmentsAndSend(const KURL::List &urls, const TQString
   connect(this, TQT_SIGNAL(attachmentAdded(const KURL&, bool)), TQT_SLOT(slotAttachedFile(const KURL&)));
   for( KURL::List::ConstIterator itr = urls.begin(); itr != urls.end(); ++itr ) {
     if (!addAttach( *itr ))
-      mAttachFilesPending.remove(mAttachFilesPending.tqfind(*itr)); // only remove one copy of the url
+      mAttachFilesPending.remove(mAttachFilesPending.find(*itr)); // only remove one copy of the url
   }
 
   if (mAttachFilesPending.isEmpty() && mAttachFilesSend == how)
@@ -571,7 +571,7 @@ void KMComposeWin::slotAttachedFile(const KURL &url)
 {
   if (mAttachFilesPending.isEmpty())
     return;
-  mAttachFilesPending.remove(mAttachFilesPending.tqfind(url)); // only remove one copy of url
+  mAttachFilesPending.remove(mAttachFilesPending.find(url)); // only remove one copy of url
   if (mAttachFilesPending.isEmpty())
   {
     send(mAttachFilesSend);
@@ -787,7 +787,7 @@ void KMComposeWin::writeConfig(void)
                         mAutoSpellCheckingAction->isChecked() );
   TQStringList transportHistory = GlobalSettings::self()->transportHistory();
   transportHistory.remove(mTransport->currentText());
-    if (KMTransportInfo::availableTransports().tqfindIndex(mTransport
+    if (KMTransportInfo::availableTransports().findIndex(mTransport
     ->currentText()) == -1) {
       transportHistory.prepend(mTransport->currentText());
   }
@@ -1219,8 +1219,8 @@ void KMComposeWin::getTransportMenu()
   int id = 0;
   for(it = availTransports.begin(); it != availTransports.end() ; ++it, id++)
   {
-    mActNowMenu->insertItem((*it).tqreplace("&", "&&"), id);
-    mActLaterMenu->insertItem((*it).tqreplace("&", "&&"), id);
+    mActNowMenu->insertItem((*it).replace("&", "&&"), id);
+    mActLaterMenu->insertItem((*it).replace("&", "&&"), id);
   }
 }
 
@@ -1695,8 +1695,8 @@ static TQString cleanedUpHeaderString( const TQString & s )
 {
   // remove invalid characters from the header strings
   TQString res( s );
-  res.tqreplace( '\r', "" );
-  res.tqreplace( '\n', " " );
+  res.replace( '\r', "" );
+  res.replace( '\n', " " );
   return res.stripWhiteSpace();
 }
 
@@ -2773,7 +2773,7 @@ void KMComposeWin::slotAttachFile()
 //-----------------------------------------------------------------------------
 void KMComposeWin::slotAttachFileData(KIO::Job *job, const TQByteArray &data)
 {
-  TQMap<KIO::Job*, atmLoadData>::Iterator it = mMapAtmLoadData.tqfind(job);
+  TQMap<KIO::Job*, atmLoadData>::Iterator it = mMapAtmLoadData.find(job);
   assert(it != mMapAtmLoadData.end());
   TQBuffer buff((*it).data);
   buff.open(IO_WriteOnly | IO_Append);
@@ -2785,10 +2785,10 @@ void KMComposeWin::slotAttachFileData(KIO::Job *job, const TQByteArray &data)
 //-----------------------------------------------------------------------------
 void KMComposeWin::slotAttachFileResult(KIO::Job *job)
 {
-  TQMap<KIO::Job*, atmLoadData>::Iterator it = mMapAtmLoadData.tqfind(job);
+  TQMap<KIO::Job*, atmLoadData>::Iterator it = mMapAtmLoadData.find(job);
   assert(it != mMapAtmLoadData.end());
   KURL attachURL;
-  TQMap<KIO::Job*, KURL>::iterator jit = mAttachJobs.tqfind(job);
+  TQMap<KIO::Job*, KURL>::iterator jit = mAttachJobs.find(job);
   bool attachURLfound = (jit != mAttachJobs.end());
   if (attachURLfound)
   {
@@ -2847,7 +2847,7 @@ void KMComposeWin::slotAttachFileResult(KIO::Job *job)
       TQString ext;
       if( !patterns.isEmpty() ) {
         ext = patterns[0];
-        int i = ext.tqfindRev( '.' );
+        int i = ext.findRev( '.' );
         if( i == -1 )
           ext.prepend( '.' );
         else if( i > 0 )
@@ -2886,7 +2886,7 @@ void KMComposeWin::slotAttachFileResult(KIO::Job *job)
                                !kmkernel->msgSender()->sendQuotedPrintable());
     kdDebug(5006) << "autodetected cte: " << msgPart->cteStr() << endl;
   }
-  int slash = mimeType.tqfind( '/' );
+  int slash = mimeType.find( '/' );
   if( slash == -1 )
     slash = mimeType.length();
   msgPart->setTypeStr( mimeType.left( slash ).latin1() );
@@ -2998,7 +2998,7 @@ void KMComposeWin::slotInsertRecentFile(const KURL& u)
     KConfigGroupSaver saver( config, "Composer" );
     TQStringList urls = config->readListEntry( "recent-urls" );
     TQStringList encodings = config->readListEntry( "recent-encodings" );
-    int index = urls.tqfindIndex( u.prettyURL() );
+    int index = urls.findIndex( u.prettyURL() );
     if (index != -1) {
       TQString encoding = encodings[ index ];
       ld.encoding = encoding.latin1();
@@ -3725,7 +3725,7 @@ TQString KMComposeWin::addQuotesToText(const TQString &inputText)
 {
     TQString answer = TQString( inputText );
     TQString indentStr = quotePrefixName();
-    answer.tqreplace( '\n', '\n' + indentStr);
+    answer.replace( '\n', '\n' + indentStr);
     answer.prepend( indentStr );
     answer += '\n';
     return KMMessage::smartQuote( answer, GlobalSettings::self()->lineWrapWidth() );
@@ -3743,7 +3743,7 @@ TQString KMComposeWin::removeQuotesFromText(const TQString &inputText)
     // now remove all remaining leading quotes
     quotePrefix = '\n' + quotePrefixName();
     rx = quotePrefix;
-    s.tqreplace(rx, "\n");
+    s.replace(rx, "\n");
 
     return s;
 }
@@ -3918,7 +3918,7 @@ void KMComposeWin::slotUpdWinTitle(const TQString& text)
   // newlines tend to become boxes.
   if (text.isEmpty())
     setCaption("("+i18n("unnamed")+")");
-  else setCaption( s.tqreplace( TQChar('\n'), ' ' ) );
+  else setCaption( s.replace( TQChar('\n'), ' ' ) );
 }
 
 
@@ -4605,15 +4605,15 @@ void KMComposeWin::slotCleanSpace()
 
   // Squeeze tabs and spaces
   TQRegExp squeeze( "[\t ]+" );
-  s.tqreplace( squeeze, TQChar( ' ' ) );
+  s.replace( squeeze, TQChar( ' ' ) );
 
   // Remove trailing whitespace
   TQRegExp trailing( "\\s+$" );
-  s.tqreplace( trailing, TQChar( '\n' ) );
+  s.replace( trailing, TQChar( '\n' ) );
 
   // Single space lines
   TQRegExp singleSpace( "[\n]{2,}" );
-  s.tqreplace( singleSpace, TQChar( '\n' ) );
+  s.replace( singleSpace, TQChar( '\n' ) );
 
   // Restore the signature
   if ( restore )
@@ -4931,11 +4931,11 @@ void KMComposeWin::slotIdentityChanged( uint uoid )
     }
     mEditor->setText( edtText );
   } else {
-    const int pos = edtText.tqfind( mOldSigText );
+    const int pos = edtText.find( mOldSigText );
     if ( pos >= 0 && !mOldSigText.isEmpty() ) {
       const int oldLength = mOldSigText.length();
       mOldSigText = "\n\n"+ ident.signature().rawText() + "\n"; // see insertSignature()
-      edtText = edtText.tqreplace( pos, oldLength, mOldSigText );
+      edtText = edtText.replace( pos, oldLength, mOldSigText );
       mEditor->setText( edtText );
     } else {
       insertSignature( Append );
diff --git a/kmail/kmdict.cpp b/kmail/kmdict.cpp
index 0ba60ed55..0ad9367be 100644
--- a/kmail/kmdict.cpp
+++ b/kmail/kmdict.cpp
@@ -54,7 +54,7 @@ void KMDict::clear()
 
 //-----------------------------------------------------------------------------
 
-void KMDict::tqreplace( long key, KMDictItem *item )
+void KMDict::replace( long key, KMDictItem *item )
 {
   insert( key, item );
   removeFollowing( item, key );           // remove other items with same key
@@ -104,7 +104,7 @@ void KMDict::removeFollowing(KMDictItem *item, long key)
 
 //-----------------------------------------------------------------------------
 
-KMDictItem *KMDict::tqfind(long key)
+KMDictItem *KMDict::find(long key)
 {
   int idx = (unsigned long)key % mSize;
   KMDictItem *item = mVecs[idx];
diff --git a/kmail/kmdict.h b/kmail/kmdict.h
index 0b365acb6..6cbbefd5a 100644
--- a/kmail/kmdict.h
+++ b/kmail/kmdict.h
@@ -40,7 +40,7 @@ public:
   int size() { return mSize; }
   
   /** Inserts an item, replacing old ones with the same key. */
-  void tqreplace(long key, KMDictItem *item);
+  void replace(long key, KMDictItem *item);
  
   /** Inserts an item without replacing ones with the same key. */
   void insert(long key, KMDictItem *item);
@@ -49,7 +49,7 @@ public:
   void remove(long key);
   
   /** Find an item by key.  Returns pointer to it, or 0 if not found. */
-  KMDictItem *tqfind(long key);
+  KMDictItem *find(long key);
   
 private:
   /** Removes all items _following_ @p item with key @p key. */
